#ifndef MANUAL_BELT_JUNCTION_HPP_
#define MANUAL_BELT_JUNCTION_HPP_

#include <Block/SpriteBlock/SpriteBlock.hpp>
#include <Block/MachineBlockMixin.hpp>
#include <Machine/MBeltJunction/MBeltJunction.hpp>

class BeltJunction : public SpriteBlock, public MachineBlockMixin<MBeltJunction>
{
private:
    static std::vector<Sprite> makeSprites();

public:
    BeltJunction(std::string name);

    virtual bool canManuallyDig() override;
    virtual void onInteract(LocalWorld &world, Player &player, glm::ivec3 pos, Side side, const RGBABytes &collisionKey) override;
    virtual bool canPlace(LocalWorld &world, IWorldActor &actor, glm::ivec3 pos, Side side, uint8_t &meta) override;
};

#endif